aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlessandro Barbieri <lssndrbarbieri@gmail.com>2020-03-29 11:27:19 +0200
committerAlessandro Barbieri <lssndrbarbieri@gmail.com>2020-03-29 11:29:03 +0200
commit6c6ff2e8415071b9f2ce776a5619e271f84e75a4 (patch)
tree5289e5af4c69cb4b39160946b0b8337941af1edf /dev-python/autoflake
parentdev-python/pytest-trio: new package (diff)
downloadguru-6c6ff2e8415071b9f2ce776a5619e271f84e75a4.tar.gz
guru-6c6ff2e8415071b9f2ce776a5619e271f84e75a4.tar.bz2
guru-6c6ff2e8415071b9f2ce776a5619e271f84e75a4.zip
dev-python/autoflake: new package
Package-Manager: Portage-2.3.96, Repoman-2.3.22 Signed-off-by: Alessandro Barbieri <lssndrbarbieri@gmail.com>
Diffstat (limited to 'dev-python/autoflake')
-rw-r--r--dev-python/autoflake/Manifest1
-rw-r--r--dev-python/autoflake/autoflake-1.3.1.ebuild31
-rw-r--r--dev-python/autoflake/metadata.xml20
3 files changed, 52 insertions, 0 deletions
diff --git a/dev-python/autoflake/Manifest b/dev-python/autoflake/Manifest
new file mode 100644
index 00000000..a55e724e
--- /dev/null
+++ b/dev-python/autoflake/Manifest
@@ -0,0 +1 @@
+DIST autoflake-1.3.1.tar.gz 19756 BLAKE2B 8a172888a8c44483b8771b59bebda841e55455f544197e2f1bce08dfb7cb3dd54e8a616a15a3712609480bc484561ffa27aaa93d9b5e1a573bb1960df96ea9cf SHA512 763bcfc824412129901106ddcaf7104a2bfa5ee86b43d2822b51af5532ea0ac46466b64a004c099dc6fa2a96b23ae959e1ef1eb68c6be0c1e4c08ab9bf174e08
diff --git a/dev-python/autoflake/autoflake-1.3.1.ebuild b/dev-python/autoflake/autoflake-1.3.1.ebuild
new file mode 100644
index 00000000..752b394e
--- /dev/null
+++ b/dev-python/autoflake/autoflake-1.3.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Removes unused imports and unused variables as reported by pyflakes"
+HOMEPAGE="
+ https://github.com/myint/autoflake
+ https://pypi.org/project/autoflake
+"
+SRC_URI="https://github.com/myint/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ >=dev-python/pyflakes-1.1.0[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+python_test() {
+ "${EPYTHON}" test_autoflake.py || die
+}
diff --git a/dev-python/autoflake/metadata.xml b/dev-python/autoflake/metadata.xml
new file mode 100644
index 00000000..3fe5b4fd
--- /dev/null
+++ b/dev-python/autoflake/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="person">
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <longdescription>
+autoflake removes unused imports and unused variables from Python code. It makes use of pyflakes to do this.
+
+By default, autoflake only removes unused imports for modules that are part of the standard library. (Other modules may have side effects that make them unsafe to remove automatically.) Removal of unused variables is also disabled by default.
+
+autoflake also removes useless pass statements.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">myint/autoflake</remote-id>
+ <remote-id type="pypi">autoflake</remote-id>
+ </upstream>
+</pkgmetadata>